Bug 1417945 - internal compiler error: in tsubst_copy, at cp/pt.c:14398
Summary: internal compiler error: in tsubst_copy, at cp/pt.c:14398
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 13:30 UTC by Yanko Kaneti
Modified: 2017-03-01 20:44 UTC (History)
7 users (show)

Fixed In Version: gcc-7.0.1-0.5.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-01 20:44:59 UTC
Type: Bug


Attachments (Terms of Use)
preprocessed output gzipped (620.00 KB, application/x-gzip)
2017-01-31 13:30 UTC, Yanko Kaneti
no flags Details

Description Yanko Kaneti 2017-01-31 13:30:13 UTC
Created attachment 1246238 [details]
preprocessed output gzipped

Description of problem:
Internal compiler error while trying to build a ewbkitgtk4-2.15.4 rpm locally
....
....
[  7%] Building CXX object Source/JavaScriptCore/CMakeFiles/JavaScriptCore.dir/b3/air/AirAllocateStack.cpp.o
cd /home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/x86_64-redhat-linux-gnu/Source/JavaScriptCore && /usr/lib64/ccache/c++   -DBUILDING_GTK__=1 -DBUILDING_JavaScriptCore -DBUILDING_WITH_CMAKE=1 -DDATA_DIR=\"share\" -DGETTEXT_PACKAGE=\"WebKit2GTK-4.0\" -DHAVE_CONFIG_H=1 -DJavaScriptCore_EXPORTS -DLIBDIR=\"/usr/lib64\" -DSTATICALLY_LINKED_WITH_WTF -DUSER_AGENT_GTK_MAJOR_VERSION=\"604\" -DUSER_AGENT_GTK_MINOR_VERSION=\"1\" -DWEBKITGTK_API_VERSION_STRING=\"4.0\" -isystem /usr/include/glib-2.0 -isystem /usr/lib64/glib-2.0/include -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/x86_64-redhat-linux-gnu -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/.. -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/API -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/ForwardingHeaders -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/assembler -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/b3 -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/b3/air -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/bindings -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/builtins -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/bytecode -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/bytecompiler -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/dfg -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/disassembler -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/disassembler/udis86 -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/domjit -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/ftl -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/heap -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/debugger -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/inspector -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/inspector/agents -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/inspector/augmentable -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/inspector/remote -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/interpreter -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/jit -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/llint -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/parser -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/profiler -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/replay -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/runtime -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/tools -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/wasm -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/wasm/js -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/yarr -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/x86_64-redhat-linux-gnu/DerivedSources/ForwardingHeaders -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/x86_64-redhat-linux-gnu/DerivedSources/JavaScriptCore -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/x86_64-redhat-linux-gnu/DerivedSources/JavaScriptCore/inspector -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/bmalloc -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/WTF -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/WTF/wtf -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/WTF/wtf/dtoa -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/WTF/wtf/persistence -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/WTF/wtf/text -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/WTF/wtf/text/icu -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/WTF/wtf/threads -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/WTF/wtf/unicode -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/ThirdParty -I/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/x86_64-redhat-linux-gnu/DerivedSources  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -DUSER_AGENT_GTK_DISTRIBUTOR_NAME='"Fedora"' -std=c++1y -DNDEBUG -fno-exceptions -fno-strict-aliasing -fno-rtti -fPIC   -Wall -Wextra -Wcast-align -Wformat-security -Wmissing-format-attribute -Wpointer-arith -Wundef -Wwrite-strings  -o CMakeFiles/JavaScriptCore.dir/b3/air/AirAllocateStack.cpp.o -c /home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/b3/air/AirAllocateStack.cpp
.....
.....
/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/b3/air/AirArg.cpp:346:1: warning: this use of "defined" may not be portable [-Wexpansion-to-defined]
 #if COMPILER(GCC) && ASSERT_DISABLED
 ^~~~~~~~~~~~~~~~
In file included from /home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/b3/air/AirAllocateStack.cpp:35:0:
/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/b3/air/AirLiveness.h: In instantiation of 'JSC::B3::Air::AbstractLiveness<Adapter>::AbstractLiveness(JSC::B3::Air::Code&)::<lambda(typename Adapter::Thing&, JSC::B3::Air::Arg::Role, JSC::B3::Air::Arg::Type, JSC::B3::Air::Arg::Width)> [with Adapter = JSC::B3::Air::StackSlotLivenessAdapter; typename Adapter::Thing = JSC::B3::Air::StackSlot*]':
/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/b3/air/AirLiveness.h:113:19:   required from 'struct JSC::B3::Air::AbstractLiveness<Adapter>::AbstractLiveness(JSC::B3::Air::Code&) [with Adapter = JSC::B3::Air::StackSlotLivenessAdapter]::<lambda(class JSC::B3::Air::StackSlot*&, enum JSC::B3::Air::Arg::Role, enum JSC::B3::Air::Arg::Type, enum JSC::B3::Air::Arg::Width)>'
/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/b3/air/AirLiveness.h:112:13:   required from 'JSC::B3::Air::AbstractLiveness<Adapter>::AbstractLiveness(JSC::B3::Air::Code&) [with Adapter = JSC::B3::Air::StackSlotLivenessAdapter]'
/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/b3/air/AirAllocateStack.cpp:124:36:   required from here
/home/yaneti/rpmbuild/BUILD/webkitgtk-2.15.4/Source/JavaScriptCore/b3/air/AirLiveness.h:110:54: internal compiler error: in tsubst_copy, at cp/pt.c:14398
             typename Adapter::IndexSet& liveAtTail = m_liveAtTail[block];
                                                      ^~~~~~~~~~~~
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cc7P3QUJ.out file, please attach this to your bugreport.
make[2]: *** [Source/JavaScriptCore/CMakeFiles/JavaScriptCore.dir/build.make:1113: Source/JavaScriptCore/CMakeFiles/JavaScriptCore.dir/b3/air/AirAllocateStack.cpp.o] Error 1
....
....


Version-Release number of selected component (if applicable):
gcc-7.0.1-0.3.fc26.x86_64
gcc-c++-7.0.1-0.3.fc26.x86_64


How reproducible:
Always

Steps to Reproduce:
- fedpk clone the current (2.15.3) webkitgtk4 fedora repo 
- change 2.15.3 to 2.15.4
- spectool -g     to get the new source
- fedpkg srpm 
- rpmbuild the resulting srpm

Comment 1 Marek Polacek 2017-01-31 14:04:00 UTC
The preprocessed source doesn't look right, I'm getting tons of error: unterminated #if
  #if CPU(X86) || CPU(X86_64)
...

Comment 2 Jakub Jelinek 2017-01-31 14:07:51 UTC
Perhaps related to http://gcc.gnu.org/PR79253

Comment 3 Tomas Popela 2017-01-31 14:36:59 UTC
Yeah looks invalid as if I pass -Wno-expansion-to-defined to get rid off the warnings then the build fails on another place (but not due to gcc error).

Comment 4 Tomas Popela 2017-01-31 15:04:04 UTC
(In reply to Tomas Popela from comment #3)
> Yeah looks invalid as if I pass -Wno-expansion-to-defined to get rid off the
> warnings then the build fails on another place (but not due to gcc error).

Sorry I missed the things up - it is as Yanko describes..

Comment 5 Tomas Popela 2017-02-01 16:07:25 UTC
I can confirm that having http://gcc.gnu.org/viewcvs/gcc?view=revision&revision=245066 and http://gcc.gnu.org/viewcvs/gcc?view=revision&revision=245067 fixes this error. Can you please Jakub or Marek include it in the next gcc build?

Comment 6 Jakub Jelinek 2017-02-01 16:12:02 UTC
gcc-7.0.1-0.5.fc26 already includes it.  It will take still a few hours at most to finish on most arches, and a few days on armv7hl as usually.

Comment 7 Fedora End Of Life 2017-02-28 11:08:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.


Note You need to log in before you can comment on or make changes to this bug.